Package ru.nilsoft.tm

# Class TMCommand.calc_objects

java.lang.Object
ru.nilsoft.tm.TMCommand.calc_objects

Enclosing class:
  `TMCommand`

public static final class TMCommand.calc_objects extends Object
Признаки предмета рассчета (тэг 1212).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `AGENT_FEE`
  Сведения о вознаграждении пользователя, являющегося платёжным агентом (субагентом), банковским платёжным агентом (субагентом), комиссионером, поверенным или иным агентом.
  `static final byte`
  `BANK_AGENT_PAYMENT`
  Сведения о выдаче денежных средств банковским платежным агентом [ФФД 1.2 и выше].
  `static final byte`
  `CASINO_PAYMENT`
  Сведения о приеме и выплате денежных средств при осуществлении деятельности казино с использованием обменных знаков казино.
  `static final byte`
  `COMPLEX`
  Сведения о предмете расчёта, состоящем из предметов, каждому из которых может быть присвоено значение от "0" до "11".
  `static final byte`
  `COPYRIGHT`
  Сведения о предоставлении прав на использование результатов интеллектуальной деятельности или средств индивидуализации.
  `static final byte`
  `EXCISE`
  Сведения о реализуемом подакцизном товаре (наименование и иные сведения, описывающие товар).
  `static final byte`
  `EXCISE_WITH_KM`
  Сведения о реализуемом подакцизном товаре, подлежащем маркировке средством идентификации, имеющем код маркировки [ФФД 1.2 и выше].
  `static final byte`
  `EXCISE_WITHOUT_KM`
  Сведения о реализуемом подакцизном товаре, подлежащем маркировке средством идентификации, не имеющем кода маркировки [ФФД 1.2 и выше].
  `static final byte`
  `FEE`
  Сведения об авансе, задатке, предоплате, кредите, взносе в счёт оплаты, пени, штрафе, вознаграждении, бонусе и ином аналогичном предмете расчёта.
  `static final byte`
  `FROM_CHANCE_GAME`
  Сведения о выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
  `static final byte`
  `FROM_LOTTERY`
  Сведения о выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.
  `static final byte`
  `GOOD`
  Сведения о реализуемом товаре, за исключением подакцизного товара (наименование и иные сведения, описывающие товар).
  `static final byte`
  `GOOD_WITH_KM`
  Сведения о реализуемом товаре, подлежащем маркировке средством идентификации, имеющем код маркировки, за исключением подакцизного товара [ФФД 1.2 и выше].
  `static final byte`
  `GOOD_WITHOUT_KM`
  Сведения о реализуемом товаре, подлежащем маркировке средством идентификации, не имеющем кода маркировки, за исключением подакцизного товара [ФФД 1.2 и выше].
  `static final byte`
  `INSURANCE`
  Сведения о страховых взносах.
  `static final byte`
  `MEDICAL_INSURANCE_FIRM`
  Сведения о страховых взносах на обязательное медицинское страхование.
  `static final byte`
  `MEDICAL_INSURANCE_INDIVIDUAL`
  Сведения о страховых взносах на обязательное медицинское страхование, уплачиваемых ИП.
  `static final byte`
  `OTHER`
  Сведения о предмете расчёта, не относящемуся к предметам расчёта, которым может быть присвоено значение от "0" до "12".
  `static final byte`
  `PENSION_INSURANCE_FIRM`
  Сведения о страховых взносах на обязательное пенсионное страхование.
  `static final byte`
  `PENSION_INSURANCE_INDIVIDUAL`
  Сведения о страховых взносах на обязательное пенсионное страхование, уплачиваемых ИП.
  `static final byte`
  `PLEDGE`
  Сведения о залоге.
  `static final byte`
  `PROPERTY`
  Сведения о передаче имущественных прав.
  `static final byte`
  `PURCHASE`
  Сведения о расходах.
  `static final byte`
  `SERVICE`
  Сведения об оказываемой услуге (наименование и иные сведения, описывающие услугу).
  `static final byte`
  `SOCIAL_INSURANCE`
  Сведения о страховых взносах на обязательное социальное страхование.
  `static final byte`
  `TO_CHANCE_GAME`
  Сведения о приёме ставок при осуществлении деятельности по проведению азартных игр.
  `static final byte`
  `TO_LOTTERY`
  Сведения о приёме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приёме лотерейных ставок при осуществлении деятельности по проведению лотерей.
  `static final byte`
  `TOURIST_TAX`
  Сведения о туристическом налоге.
  `static final byte`
  `TRADE_FEE`
  Сведения о суммах уплаченного торгового сбора.
  `static final byte`
  `UNREALIZED`
  Сведения о внереализационном доходе.
  `static final byte`
  `WORK`
  Сведения о выполняемой работе (наименование и иные сведения, описывающие работу).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `calc_objects()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GOOD

    public static final byte GOOD
    Сведения о реализуемом товаре, за исключением подакцизного товара (наименование и иные сведения, описывающие товар).
    See Also:
      - Constant Field Values

  - ### EXCISE

    public static final byte EXCISE
    Сведения о реализуемом подакцизном товаре (наименование и иные сведения, описывающие товар).
    See Also:
      - Constant Field Values

  - ### WORK

    public static final byte WORK
    Сведения о выполняемой работе (наименование и иные сведения, описывающие работу).
    See Also:
      - Constant Field Values

  - ### SERVICE

    public static final byte SERVICE
    Сведения об оказываемой услуге (наименование и иные сведения, описывающие услугу).
    See Also:
      - Constant Field Values

  - ### TO_CHANCE_GAME

    public static final byte TO_CHANCE_GAME
    Сведения о приёме ставок при осуществлении деятельности по проведению азартных игр.
    See Also:
      - Constant Field Values

  - ### FROM_CHANCE_GAME

    public static final byte FROM_CHANCE_GAME
    Сведения о выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
    See Also:
      - Constant Field Values

  - ### TO_LOTTERY

    public static final byte TO_LOTTERY
    Сведения о приёме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приёме лотерейных ставок при осуществлении деятельности по проведению лотерей.
    See Also:
      - Constant Field Values

  - ### FROM_LOTTERY

    public static final byte FROM_LOTTERY
    Сведения о выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.
    See Also:
      - Constant Field Values

  - ### COPYRIGHT

    public static final byte COPYRIGHT
    Сведения о предоставлении прав на использование результатов интеллектуальной деятельности или средств индивидуализации.
    See Also:
      - Constant Field Values

  - ### FEE

    public static final byte FEE
    Сведения об авансе, задатке, предоплате, кредите, взносе в счёт оплаты, пени, штрафе, вознаграждении, бонусе и ином аналогичном предмете расчёта.
    See Also:
      - Constant Field Values

  - ### AGENT_FEE

    public static final byte AGENT_FEE
    Сведения о вознаграждении пользователя, являющегося платёжным агентом (субагентом), банковским платёжным агентом (субагентом), комиссионером, поверенным или иным агентом.
    See Also:
      - Constant Field Values

  - ### COMPLEX

    public static final byte COMPLEX
    Сведения о предмете расчёта, состоящем из предметов, каждому из которых может быть присвоено значение от "0" до "11".
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final byte OTHER
    Сведения о предмете расчёта, не относящемуся к предметам расчёта, которым может быть присвоено значение от "0" до "12".
    See Also:
      - Constant Field Values

  - ### PROPERTY

    public static final byte PROPERTY
    Сведения о передаче имущественных прав.
    See Also:
      - Constant Field Values

  - ### UNREALIZED

    public static final byte UNREALIZED
    Сведения о внереализационном доходе.
    See Also:
      - Constant Field Values

  - ### INSURANCE

    public static final byte INSURANCE
    Сведения о страховых взносах.
    See Also:
      - Constant Field Values

  - ### TRADE_FEE

    public static final byte TRADE_FEE
    Сведения о суммах уплаченного торгового сбора.
    See Also:
      - Constant Field Values

  - ### TOURIST_TAX

    public static final byte TOURIST_TAX
    Сведения о туристическом налоге.
    See Also:
      - Constant Field Values

  - ### PLEDGE

    public static final byte PLEDGE
    Сведения о залоге.
    See Also:
      - Constant Field Values

  - ### PURCHASE

    public static final byte PURCHASE
    Сведения о расходах.
    See Also:
      - Constant Field Values

  - ### PENSION_INSURANCE_INDIVIDUAL

    public static final byte PENSION_INSURANCE_INDIVIDUAL
    Сведения о страховых взносах на обязательное пенсионное страхование, уплачиваемых ИП.
    See Also:
      - Constant Field Values

  - ### PENSION_INSURANCE_FIRM

    public static final byte PENSION_INSURANCE_FIRM
    Сведения о страховых взносах на обязательное пенсионное страхование.
    See Also:
      - Constant Field Values

  - ### MEDICAL_INSURANCE_INDIVIDUAL

    public static final byte MEDICAL_INSURANCE_INDIVIDUAL
    Сведения о страховых взносах на обязательное медицинское страхование, уплачиваемых ИП.
    See Also:
      - Constant Field Values

  - ### MEDICAL_INSURANCE_FIRM

    public static final byte MEDICAL_INSURANCE_FIRM
    Сведения о страховых взносах на обязательное медицинское страхование.
    See Also:
      - Constant Field Values

  - ### SOCIAL_INSURANCE

    public static final byte SOCIAL_INSURANCE
    Сведения о страховых взносах на обязательное социальное страхование.
    See Also:
      - Constant Field Values

  - ### CASINO_PAYMENT

    public static final byte CASINO_PAYMENT
    Сведения о приеме и выплате денежных средств при осуществлении деятельности казино с использованием обменных знаков казино.
    See Also:
      - Constant Field Values

  - ### BANK_AGENT_PAYMENT

    public static final byte BANK_AGENT_PAYMENT
    Сведения о выдаче денежных средств банковским платежным агентом [ФФД 1.2 и выше].
    See Also:
      - Constant Field Values

  - ### EXCISE_WITHOUT_KM

    public static final byte EXCISE_WITHOUT_KM
    Сведения о реализуемом подакцизном товаре, подлежащем маркировке средством идентификации, не имеющем кода маркировки [ФФД 1.2 и выше].
    See Also:
      - Constant Field Values

  - ### EXCISE_WITH_KM

    public static final byte EXCISE_WITH_KM
    Сведения о реализуемом подакцизном товаре, подлежащем маркировке средством идентификации, имеющем код маркировки [ФФД 1.2 и выше].
    See Also:
      - Constant Field Values

  - ### GOOD_WITHOUT_KM

    public static final byte GOOD_WITHOUT_KM
    Сведения о реализуемом товаре, подлежащем маркировке средством идентификации, не имеющем кода маркировки, за исключением подакцизного товара [ФФД 1.2 и выше].
    See Also:
      - Constant Field Values

  - ### GOOD_WITH_KM

    public static final byte GOOD_WITH_KM
    Сведения о реализуемом товаре, подлежащем маркировке средством идентификации, имеющем код маркировки, за исключением подакцизного товара [ФФД 1.2 и выше].
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### calc_objects

    public calc_objects()